{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load custom_tags %}
{% block content %}
{% load humanize %}
{% block extra_style_block %}
    {{block.super}}

    <style>
        .btn-payment {
            float: right;
            color: #fff;
        }
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
        .bgc {
            background: rgba(0,0,0,.075);
        }
        .sku {
            cursor: pointer;
        }
        <!--.even {background: rgba(0,0,0,.075);}-->
        <!--.odd {background: rgba(0,0,0,.075);}-->
    </style>

    <style>
    .box-title{
    text-transform: capitalize;}
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }

        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .col-cust-add.col-business-add{
          padding: 3px 5px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: right;
          border-radius: 4px;
          margin: -35px 2% 0;
        }
        .col-cust-add.col-business-add span{
          padding: 5px 8px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
    </style>
{% endblock %}
<form method="POST">
    {% csrf_token %}
    <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
        {% if request.user.is_superuser %}
        <h3 style="font-size:25px; margin-top:-35px;margin-left: 35px;" class="box-title">

            {% if edit == 'InWarehouse' %}In Warehouse{% else %}{{edit}}{% endif %}
        </h3>
        {% elif request.user|has_group:"SR" %}
        <h3 style="font-size:25px; margin-top:-35px;margin-left: 35px;" class="box-title">
            {% if edit == 'InWarehouse' %}In Warehouse{% else %}
            {% if edit == 'On_Hold' %}On Hold
            {% else %}
            {{edit}}
            {% endif %}
            {% endif %}
        </h3>
        {% elif request.user|has_group:"DEL" %}
        <h3 style="font-size:25px; margin-top:-35px;margin-left: 35px;" class="box-title">
            {% if edit == 'InWarehouse' %}In Warehouse{% else %}
            {% if edit == 'On_Hold' %}On Hold
            {% else %}
            {{edit}}
            {% endif %}
            {% endif %}


        </h3>
        {% else %}
        <h3 style="font-size:25px; margin-top:-35px;margin-left: 35px;" class="box-title">
            {% if edit == 'InWarehouse' %}In Warehouse{% else %}{{edit}}{% endif %}
        </h3>
        {% endif %}
<div class="box box-primary">
    <!--<link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">-->
    <div class="box-header with-border">
        
        <div style=" width: 100%">
            <address class="col-cust-add col-business-add" style="float: left;margin-top: 0px;">
                <span style="background-color: #00c0ef;border-color: #00acd6;">
                    Total No of Orders: {{orderlen|default:"0"}}
                </span>
                {% if request.user|has_group:"DEL" %}
                {% else %}
                    <span style="background-color: #00a65a;border-color: #008d4c;">
                        Total No of Dealers: {{dealercount|default:"0"}}
                    </span>
                {% endif %}
                <span style="background-color: #00a65a;border-color: #008d4c;">
                    Total Payable Value: ₹ {{orderheadsum|floatformat:2|intcomma|default:"0"}}
                </span>
            </address>
            <div style="margin: 0;">
                <div class="search-container text-right">
                    <form class="search-form">
                        <input id="dealerSearch" class="form-control txt-search" value="{{searchValue}}"
                               type="text" placeholder="Search.." name="search">
                        <button id="btnSearch" class="btn-search" name="searchbtn" type="submit">
                            <i class="fa fa-search"></i>
                        </button>

                    </form><br>
                </div>
                {% autoescape off %}
                    <span style="color:green; float: right"><b>{{querycount}}</b></span>
                {% endautoescape off %}
            </div>
        </div>
        
        <button type="submit" style="float: right; background-color: black; margin-top: 10px;border: 0;border-radius: 4px;" name="export" class="export" value="{{searchValue}}">Export</button>
    </div>

    <table class="table table-bordered">
        <thead>
        <tr>
            <th>Order No</th>
            <th>DMS No</th>
            <th>Order Date</th>
            <th>Dispatch Date</th>
            <th>Invoice Value</th>
            <th>Discount </th>
            <th>Payable </th>
            <th>Status</th>
            {% if request.user|has_group:"SR" %}
            {% else %}
                <th>SR</th>
            {% endif %}

            {% if request.user|has_group:"DEL" %}
            {% else %}
                <th>Dealer</th>
            {% endif %}
        </tr>
        </thead>
        <tbody>
        {% if order_head|length > 0 %}
            {% for head in order_head %}
                <tr>
                    <td>
                        {% if 'False' in active %}
                            <a>{{head.order_number}}</a>
                        {% else %}
                            {% if request.user|has_group:"SR" %}
                            <a href="{% url 'sr_order_detail' head.order_number %}">{{head.order_number}}</a>
                            {% else %}
                            <a href="{% url 'order_detail' head.order_number %}">{{head.order_number}}</a>
                            {% endif %}
                        {% endif %}
                    </td>
                    {% if head.DMS_order_number %}
                    <td><a href="{% url 'order_detail' head.order_number %}">{{head.DMS_order_number}}</a></td>
                    {% else%}
                    <td><span >{{head.DMS_order_number| default:"---"}}</span></td>
                    {% endif %}
                    <td>{{head.order_date|date|default:'---'}}</td>

                    <td>{{head.Dispatched_Date|date|default:'---'}}</td>
                    <td style="text-align:right">₹ {{head.total_amount | floatformat:2 | intcomma}}</td>
                    <td style="text-align:right">
                        {% if head.discount_amount > 0 %}
                            ₹ {{head.discount_amount | floatformat:2 | intcomma}}
                        {% else %}
                            {{head.discount_amount|default:"---"}}
                        {% endif %}
                    </td>
                    {% if head.payable_amount < 0 %}
                    <td style="text-align:right">
                        ---
                    </td>
                    {% else %}

                    <td style="text-align:right">
                        {% if head.status == 'Dispatched' %}
                        ₹ {{head.payable_amount|floatformat:2|intcomma}}
                        {% else %}
                        ---
                        {% endif %}
                    </td>
                    {% endif %}
                    <td><span class="label label-info {{head.status}}">{{head.get_status_display}}</span></td>

                    {% if request.user|has_group:"SR" %}
                    {% else %}
                        <td>{{head.sr_id.first_name}} {{head.sr_id.last_name}}</td>
                    {% endif %}

                    {% if request.user|has_group:"DEL" %}
                    {% else %}
                        <td><a href="{% url 'dealer_profile' head.dealer_id %}">
                            {{head.dealer.user_code}}.{{head.company}}</a>
                        </td>
                    {% endif %}
                </tr>
            {% endfor %}
        {% else %}
            <tr>
                {% if request.user|has_group:"SR" %}
                    <td colspan="9" style="text-align: center;">No data available.</td>
                {% elif request.user|has_group:"DEL" %}
                    <td colspan="9" style="text-align: center;">No data available.</td>
                {% else %}
                    <td colspan="10" style="text-align: center;">No data available.</td>
                {% endif %}
            </tr>
        {% endif %}
        </tbody>
    </table>
</div>
</form>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        $(document).ready(function(){
            $('.content-header').first().remove();

            $('#dealerSearch').keydown(function(e) {
                if (e.keyCode == 13) {
                    $('#btnSearch').click();
                }
            });
        });
    </script>
{% endblock %}